package cz.senslog.analytics.module;

import cz.senslog.analytics.domain.CollectorType;
import cz.senslog.analytics.domain.DoubleStatistics;
import cz.senslog.analytics.module.api.CollectorModule;
import cz.senslog.analytics.repository.AnalyticsRepository;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.Collection;

public class MoldAnalysisModule extends CollectorModule {

    private static final Logger logger = LogManager.getLogger(MoldAnalysisModule.class);

    public MoldAnalysisModule(AnalyticsRepository repo) {
        super(CollectorType.MOLD, repo);
    }

    @Override
    protected void handle(Collection<DoubleStatistics> aggregations) {
        // TODO algorithm for mold analysis
        persist(null);
    }
}